# Uses of Enum Class
org.bukkit.block.data.FaceAttachable.AttachedFace

Packages that use FaceAttachable.AttachedFace
Package
Description
org.bukkit.block.data
Generalized BlockData classes.

## Uses of FaceAttachable.AttachedFace in org.bukkit.block.data

Methods in org.bukkit.block.data that return FaceAttachable.AttachedFace
Modifier and Type
Method
Description
`@NotNull FaceAttachable.AttachedFace`
FaceAttachable.`getAttachedFace()`
Gets the value of the 'face' property.
`static FaceAttachable.AttachedFace`
FaceAttachable.AttachedFace.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FaceAttachable.AttachedFace[]`
FaceAttachable.AttachedFace.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data with parameters of type FaceAttachable.AttachedFace
Modifier and Type
Method
Description
`void`
FaceAttachable.`setAttachedFace(@NotNull FaceAttachable.AttachedFace face)`
Sets the value of the 'face' property.